Filters (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.optional.sitraka.Filters,Filters class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.sitraka
Class Filters

    java.lang.Object
      |
      +--org.apache.tools.ant.taskdefs.optional.sitraka.Filters

public class Filters
extends java.lang.Object

Filters information from coverage, somewhat similar to a `FileSet`.

Nested Class Summary
`static class` | `Filters.Exclude`
`static class` | `Filters.FilterElement` an includes or excludes element
`static class` | `Filters.Include`

Field Summary
`static java.lang.String` | `DEFAULT_EXCLUDE` default regexp to exclude everything
`protected boolean` | `defaultExclude` say whether we should use the default excludes or not
`protected java.util.Vector` | `filters` user defined filters

Constructor Summary
`Filters()`

Method Summary
`void` | `addExclude(Filters.Exclude excl)` exclude classes and methods from the analysis
`void` | `addInclude(Filters.Include incl)` include classes and methods in the analysis
`void` | `setDefaultExclude(boolean value)` Automatically exclude all classes and methods unless included in nested elements; optional, default true.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_EXCLUDE

    public static final java.lang.String DEFAULT_EXCLUDE

  default regexp to exclude everything

  See Also:
    Constant Field Values

### defaultExclude

    protected boolean defaultExclude

  say whether we should use the default excludes or not

### filters

    protected java.util.Vector filters

  user defined filters

Constructor Detail

### Filters

    public Filters()

Method Detail

### setDefaultExclude

    public void setDefaultExclude(boolean value)

  Automatically exclude all classes and methods unless included in nested elements; optional, default true.

### addInclude

    public void addInclude(Filters.Include incl)

  include classes and methods in the analysis

### addExclude

    public void addExclude(Filters.Exclude excl)

  exclude classes and methods from the analysis

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.